function [] = Amplitude_Classify(modScheme)
%AMPLITUDE_CLASSIFY Summary of this function goes here
%   Detailed explanation goes here

load('Amplitude_TrainedNetwork');
if modScheme == "ASK"
    load('ASK_Amplitude_ClassifyData.mat');
elseif modScheme == "FSK"
    load('FSK_Amplitude_ClassifyData.mat');
elseif modScheme == "PSK"
    load('PSK_Amplitude_ClassifyData.mat');
else
    disp('Illegal modScheme. Aborting!')
    return
end

%IF FFT
%fftTime = tic;
%for i=1:length(XTest)
%    temp = fft(XTest(:,:,1,i));
%    XTest(:,:,1,i) = abs(temp);
%    XTest(:,:,2,i) = unwrap(angle(temp));
%end
%fft_StopTime = toc(fftTime)

initTime = tic;
YPred = classify(net,XTest);
stopTime = toc(initTime)
stopTime_perIteration = stopTime / length(YPred)
accuacy = sum(YPred == YTest)/numel(YTest)

%[YTest(:,:) YPred(:,:)]

comparison_table = zeros(12,12);
comparison_table(1,:) = [0 0 5 10 15 20 25 30 35 40 45 50];
comparison_table(:,1) = [0 0 5 10 15 20 25 30 35 40 45 50];

for i = 1:length(YPred)
    yPred_i = 0;
    yTest_i = 0;
    if YTest(i) == categorical(0)
        yTest_i = 2;
    elseif YTest(i) == categorical(5)
        yTest_i = 3;
    elseif YTest(i) == categorical(10)
        yTest_i = 4;
    elseif YTest(i) == categorical(15)
        yTest_i = 5;
    elseif YTest(i) == categorical(20)
        yTest_i = 6;
    elseif YTest(i) == categorical(25)
        yTest_i = 7;
    elseif YTest(i) == categorical(30)
        yTest_i = 8;
    elseif YTest(i) == categorical(35)
        yTest_i = 9;
    elseif YTest(i) == categorical(40)
        yTest_i = 10;
    elseif YTest(i) == categorical(45)
        yTest_i = 11;
    elseif YTest(i) == categorical(50)
        yTest_i = 12;
    end
    
    if YPred(i) == categorical(0)
        yPred_i = 2;
    elseif YPred(i) == categorical(5)
        yPred_i = 3;
    elseif YPred(i) == categorical(10)
        yPred_i = 4;
    elseif YPred(i) == categorical(15)
        yPred_i = 5;
    elseif YPred(i) == categorical(20)
        yPred_i = 6;
    elseif YPred(i) == categorical(25)
        yPred_i = 7;
    elseif YPred(i) == categorical(30)
        yPred_i = 8;
    elseif YPred(i) == categorical(35)
        yPred_i = 9;
    elseif YPred(i) == categorical(40)
        yPred_i = 10;
    elseif YPred(i) == categorical(45)
        yPred_i = 11;
    elseif YPred(i) == categorical(50)
        yPred_i = 12;
    end
    comparison_table(yTest_i,yPred_i) = comparison_table(yTest_i,yPred_i)+1;
end
comparison_table
end

