function [] = Position_Classify_1B(modScheme, multiplyer)
%POSITION_CLASSIFY Summary of this function goes here
%   Detailed explanation goes here
load('Position1B_TrainedNetwork');
if modScheme == "ASK"
    load('ASK_Position1B_ClassifyData.mat');
elseif modScheme == "FSK"
    load('FSK_Position1B_ClassifyData.mat');
elseif modScheme == "PSK"
    load('PSK_Position1B_ClassifyData.mat');
else
    disp('Illegal modScheme. Aborting!')
    return
end

%IF FFT
%fftTime = tic;
%for i=1:length(XTest)
%    temp = fft(XTest(:,:,1,i));
%    XTest(:,:,1,i) = abs(temp);
%    XTest(:,:,2,i) = unwrap(angle(temp));
%end
%fft_StopTime = toc(fftTime)

initTime = tic;
YPred = classify(net,XTest);
stopTime = toc(initTime)
stopTime_perIteration = stopTime / length(YPred)
accuacy = sum(YPred == YTest)/numel(YTest)

%[YTest(:,:) YPred(:,:)]

comparison_table = zeros(11,11);
comparison_table(1,:) = [0 0 1 2 3 4 5 6 7 8 9]*multiplyer;
comparison_table(:,1) = [0 0 1 2 3 4 5 6 7 8 9]*multiplyer;

for i = 1:length(YPred)
    yPred_i = 0;
    yTest_i = 0;
    if YTest(i) == categorical(0*multiplyer)
        yTest_i = 2;
    elseif YTest(i) == categorical(1*multiplyer)
        yTest_i = 3;
    elseif YTest(i) == categorical(2*multiplyer)
        yTest_i = 4;
    elseif YTest(i) == categorical(3*multiplyer)
        yTest_i = 5;
    elseif YTest(i) == categorical(4*multiplyer)
        yTest_i = 6;
    elseif YTest(i) == categorical(5*multiplyer)
        yTest_i = 7;
    elseif YTest(i) == categorical(6*multiplyer)
        yTest_i = 8;
    elseif YTest(i) == categorical(7*multiplyer)
        yTest_i = 9;
    elseif YTest(i) == categorical(8*multiplyer)
        yTest_i = 10;
    elseif YTest(i) == categorical(9*multiplyer)
        yTest_i = 11;
    end
    
    if YPred(i) == categorical(0*multiplyer)
        yPred_i = 2;
    elseif YPred(i) == categorical(1*multiplyer)
        yPred_i = 3;
    elseif YPred(i) == categorical(2*multiplyer)
        yPred_i = 4;
    elseif YPred(i) == categorical(3*multiplyer)
        yPred_i = 5;
    elseif YPred(i) == categorical(4*multiplyer)
        yPred_i = 6;
    elseif YPred(i) == categorical(5*multiplyer)
        yPred_i = 7;
    elseif YPred(i) == categorical(6*multiplyer)
        yPred_i = 8;
    elseif YPred(i) == categorical(7*multiplyer)
        yPred_i = 9;
    elseif YPred(i) == categorical(8*multiplyer)
        yPred_i = 10;
    elseif YPred(i) == categorical(9*multiplyer)
        yPred_i = 11;
    end
    comparison_table(yTest_i,yPred_i) = comparison_table(yTest_i,yPred_i)+1;
end
comparison_table
end

