function [] = Position_Neural_Network(modScheme)
%POSITION_NEURAL_NETWORK Summary of this function goes here
%   Detailed explanation goes here
%ASK_NOISYFULL_NEURAL_NETWORK Summary of this function goes here
%   Detailed explanation goes here
layers = [
    imageInputLayer([160 10 1])
    %sequenceInputLayer(4,'Name','InputData') 
    %Intermediary Part 1
    
    convolution2dLayer([40 1], 10,"Stride",[4 1], "Padding", [10 0 0 0])
    batchNormalizationLayer
    reluLayer
    
    convolution2dLayer([10 1], 10, "Stride",[2 1], "Padding", [5 0 0 0])
    batchNormalizationLayer
    reluLayer
    
    convolution2dLayer([10 1], 5, "Stride",[2 1], "Padding", [5 0 0 0])
    batchNormalizationLayer
    reluLayer
    
    
    
    

            
    %fullyConnectedLayer(600)
    %fullyConnectedLayer(400)
    %fullyConnectedLayer(200)
    %fullyConnectedLayer(100)
    fullyConnectedLayer(10)
    softmaxLayer
    classificationLayer];
analyzeNetwork(layers);

if modScheme == "ASK"
    load('ASK_Position_TrainData.mat');
elseif modScheme == "FSK"
    load('FSK_Position_TrainData.mat');
elseif modScheme == "PSK"
    load('PSK_Position_TrainData.mat');
else
    disp('Illegal modScheme. Aborting!')
    return
end

%IF FFT
%for i=1:length(XTrain)
%    temp = fft(XTrain(:,:,1,i));
%    XTrain(:,:,1,i) = abs(temp);
%    XTrain(:,:,2,i) = unwrap(angle(temp));
%end

%options = trainingOptions('sgdm','MaxEpochs',500,'InitialLearnRate',1e-3,'Verbose',0,'Plots','training-progress');
options = trainingOptions('adam','MaxEpochs',100,'Verbose',0,'Plots','training-progress');
net = trainNetwork(XTrain, YTrain,layers, options);
%genFunction(net,'cnetcode2','MatrixOnly','yes');

save('Position_TrainedNetwork','net');
end

