function [] = ASK_NoisyFull_Classify(modScheme)
%ASK_NOISYFULL_CLASSIFY Summary of this function goes here
%   Detailed explanation goes here
load('Full_TrainedNetwork.mat');
if modScheme == "ASK"
    load('ASK_Full_ClassifyData')
elseif modScheme == "FSK"
    load('FSK_Full_ClassifyData')
elseif modScheme == "PSK"
    load('PSK_Full_ClassifyData')
else
    disp('Illegal modScheme. Aborting!')
    return
end

%IF FFT
%fftinitTime = tic;
%for i = 1:length(XTest)
%    temp = fft(XTest(:,:,1,i));
%    XTest(:,:,1,i) = abs(temp);
%    XTest(:,:,2,i) = unwrap(angle(temp));
%end
%fftStopTime = toc(fftinitTime)

initTime = tic;
YPred = classify(net,XTest);
stopTime = toc(initTime)
stopTime_perIteration = stopTime / length(YPred)
accuacy = sum(YPred == YTest)/numel(YTest)

%[YTest(:,:) YPred(:,:)]

comparison_table = zeros(9,9);
comparison_table(1,:) = [0 0 1 2 3 4 5 6 7];
comparison_table(:,1) = [0 0 1 2 3 4 5 6 7];

for i = 1:length(YPred)
    yPred_i = 0;
    yTest_i = 0;
    if YTest(i) == categorical(0)
        yTest_i = 2;
    elseif YTest(i) == categorical(1)
        yTest_i = 3;
    elseif YTest(i) == categorical(2)
        yTest_i = 4;
    elseif YTest(i) == categorical(3)
        yTest_i = 5;
    elseif YTest(i) == categorical(4)
        yTest_i = 6;
    elseif YTest(i) == categorical(5)
        yTest_i = 7;
    elseif YTest(i) == categorical(6)
        yTest_i = 8;
    elseif YTest(i) == categorical(7)
        yTest_i = 9;
    end
    
    if YPred(i) == categorical(0)
        yPred_i = 2;
    elseif YPred(i) == categorical(1)
        yPred_i = 3;
    elseif YPred(i) == categorical(2)
        yPred_i = 4;
    elseif YPred(i) == categorical(3)
        yPred_i = 5;
    elseif YPred(i) == categorical(4)
        yPred_i = 6;
    elseif YPred(i) == categorical(5)
        yPred_i = 7;
    elseif YPred(i) == categorical(6)
        yPred_i = 8;
    elseif YPred(i) == categorical(7)
        yPred_i = 9;
    end
    comparison_table(yTest_i,yPred_i) = comparison_table(yTest_i,yPred_i)+1;
end
comparison_table
end

